Package org.eclipse.graphiti.internal.services

# Class GraphitiInternal

java.lang.Object
org.eclipse.graphiti.internal.services.GraphitiInternal

public final class GraphitiInternal extends Object
This class is the main access point to all internal Graphiti services.

## Constructor Summary

Constructors
Constructor
Description
`GraphitiInternal()`

## Method Summary

Modifier and Type
Method
Description
`static IEmfService`
`getEmfService()`
Returns the EMF service

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### GraphitiInternal

public GraphitiInternal()

## Method Details

### getEmfService

public static IEmfService getEmfService()
Returns the EMF service

Returns:
  the EMF service